Summary:        A plymouth theme for Citrix XenServer
Name:           xenserver-plymouth-theme
Version:        1.0.0
Release:        1
License:        GPLv2+
Group:          System Environment/Base

Source0:         https://code.citrite.net/rest/archive/latest/projects/XS/repos/%{name}/archive?at=v%{version}&format=tar.gz&prefix=%{name}-%{version}#/%{name}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildArch:      noarch
Requires:       plymouth, plymouth-plugin-script, plymouth-graphics-libs, gnu-free-sans-fonts
BuildRequires:  kernel-devel

%define themedir     %{_datadir}/plymouth/themes/xenserver
%define plymouthconf %{_sysconfdir}/plymouth/plymouthd.conf

%description
The %{name} package contains the Citrix XenServer theme for plymouth.

%prep
%autosetup -p1 -n xenserver-plymouth-theme-1.0.0

%install

install -m 755 -d %{buildroot}/%{themedir}
install -m 755 -p -D xenserver.plymouth xenserver.script -t %{buildroot}/%{themedir}
install -m 755 -p -D background.png progress_bar.png progress_box.png -t %{buildroot}/%{themedir}

%post
/usr/sbin/plymouth-set-default-theme xenserver
%{regenerate_initrd_post}

%postun
if grep -q "^Theme *= *xenserver *$" "%{plymouthconf}"; then
   /usr/sbin/plymouth-set-default-theme text
   %{regenerate_initrd_postun}
fi

%posttrans
%{regenerate_initrd_posttrans}

%triggerin -- plymouth

if grep -q "^ShowDelay *=" "%{plymouthconf}"; then
    sed -i 's/^ShowDelay *=.*/ShowDelay = 0/' %{plymouthconf}
else
    echo ShowDelay = 0 >> %{plymouthconf}
fi

%files
%{themedir}/xenserver.plymouth
%{themedir}/xenserver.script
%{themedir}/background.png
%{themedir}/progress_bar.png
%{themedir}/progress_box.png
